
public class o extends Class151_Sub1 {

   fa afa9967 = null;
   int anInt9968 = 0;
   ja aja9969;
   int anInt9970 = 0;
   oa anoa9971 = null;


   boolean method149() {
      this.aja9969.d(this.afa9967 == null?0L:this.afa9967.nativeid, this.anoa9971 == null?0L:this.anoa9971.nativeid);
      return true;
   }

   public void method14467(Interface8 var1) {
      if(this.afa9967 != null && var1 != null && (this.afa9967.method30() != var1.method30() || this.afa9967.method35() != var1.method35())) {
         throw new RuntimeException();
      } else {
         this.anoa9971 = (oa)var1;
         if(var1 != null) {
            this.anInt9970 = var1.method30();
            this.anInt9968 = var1.method35();
         } else if(this.afa9967 == null) {
            this.anInt9970 = 0;
            this.anInt9968 = 0;
         }

         if(this.aja9969.method11482((byte)14) == this) {
            this.method154();
         }

      }
   }

   public int method2742() {
      return this.anInt9968;
   }

   public void method14458(int var1, int var2, int var3, int var4, int var5, int var6, boolean var7, boolean var8) {
      long var9 = 0L;
      long var11 = 0L;
      if(this.afa9967 == null) {
         var7 = false;
      } else {
         var9 = this.afa9967.nativeid;
      }

      if(this.anoa9971 == null) {
         var8 = false;
      } else {
         var11 = this.anoa9971.nativeid;
      }

      this.BA(this.aja9969.nativeid, var9, var11, var1, var2, var3, var4, var5, var6, var7, var8);
   }

   public void method14471(int var1, Interface7 var2) {
      if(var1 != 0) {
         throw new RuntimeException();
      } else if(this.anoa9971 != null && var2 != null && (this.anoa9971.method30() != var2.method30() || this.anoa9971.method35() != var2.method35())) {
         throw new RuntimeException();
      } else {
         this.afa9967 = (fa)var2;
         if(var2 != null) {
            this.anInt9970 = var2.method30();
            this.anInt9968 = var2.method35();
         } else if(this.anoa9971 == null) {
            this.anInt9970 = 0;
            this.anInt9968 = 0;
         }

         if(this.aja9969.method11482((byte)14) == this) {
            this.method154();
         }

      }
   }

   public void method14466(Interface8 var1) {
      if(this.afa9967 != null && var1 != null && (this.afa9967.method30() != var1.method30() || this.afa9967.method35() != var1.method35())) {
         throw new RuntimeException();
      } else {
         this.anoa9971 = (oa)var1;
         if(var1 != null) {
            this.anInt9970 = var1.method30();
            this.anInt9968 = var1.method35();
         } else if(this.afa9967 == null) {
            this.anInt9970 = 0;
            this.anInt9968 = 0;
         }

         if(this.aja9969.method11482((byte)14) == this) {
            this.method154();
         }

      }
   }

   public void method14459(Interface8 var1) {
      if(this.afa9967 != null && var1 != null && (this.afa9967.method30() != var1.method30() || this.afa9967.method35() != var1.method35())) {
         throw new RuntimeException();
      } else {
         this.anoa9971 = (oa)var1;
         if(var1 != null) {
            this.anInt9970 = var1.method30();
            this.anInt9968 = var1.method35();
         } else if(this.afa9967 == null) {
            this.anInt9970 = 0;
            this.anInt9968 = 0;
         }

         if(this.aja9969.method11482((byte)14) == this) {
            this.method154();
         }

      }
   }

   public boolean method14461() {
      return true;
   }

   public boolean method14469() {
      return true;
   }

   native void BA(long var1, long var3, long var5, int var7, int var8, int var9, int var10, int var11, int var12, boolean var13, boolean var14);

   public void method10() {}

   public int method2747() {
      return this.anInt9970;
   }

   boolean method154() {
      this.aja9969.d(this.afa9967 == null?0L:this.afa9967.nativeid, this.anoa9971 == null?0L:this.anoa9971.nativeid);
      return true;
   }

   public int method2745() {
      return this.anInt9968;
   }

   public int method2746() {
      return this.anInt9968;
   }

   o(ja var1) {
      this.aja9969 = var1;
   }

   public int method2744() {
      return this.anInt9970;
   }

   public void method14465(int var1, Interface7 var2) {
      if(var1 != 0) {
         throw new RuntimeException();
      } else if(this.anoa9971 != null && var2 != null && (this.anoa9971.method30() != var2.method30() || this.anoa9971.method35() != var2.method35())) {
         throw new RuntimeException();
      } else {
         this.afa9967 = (fa)var2;
         if(var2 != null) {
            this.anInt9970 = var2.method30();
            this.anInt9968 = var2.method35();
         } else if(this.anoa9971 == null) {
            this.anInt9970 = 0;
            this.anInt9968 = 0;
         }

         if(this.aja9969.method11482((byte)14) == this) {
            this.method154();
         }

      }
   }

   public void method14463(int var1, Interface7 var2) {
      if(var1 != 0) {
         throw new RuntimeException();
      } else if(this.anoa9971 != null && var2 != null && (this.anoa9971.method30() != var2.method30() || this.anoa9971.method35() != var2.method35())) {
         throw new RuntimeException();
      } else {
         this.afa9967 = (fa)var2;
         if(var2 != null) {
            this.anInt9970 = var2.method30();
            this.anInt9968 = var2.method35();
         } else if(this.anoa9971 == null) {
            this.anInt9970 = 0;
            this.anInt9968 = 0;
         }

         if(this.aja9969.method11482((byte)14) == this) {
            this.method154();
         }

      }
   }

   boolean method2748() {
      return true;
   }

   public void method14468(Interface8 var1) {
      if(this.afa9967 != null && var1 != null && (this.afa9967.method30() != var1.method30() || this.afa9967.method35() != var1.method35())) {
         throw new RuntimeException();
      } else {
         this.anoa9971 = (oa)var1;
         if(var1 != null) {
            this.anInt9970 = var1.method30();
            this.anInt9968 = var1.method35();
         } else if(this.afa9967 == null) {
            this.anInt9970 = 0;
            this.anInt9968 = 0;
         }

         if(this.aja9969.method11482((byte)14) == this) {
            this.method154();
         }

      }
   }

   public int method2741() {
      return this.anInt9970;
   }

   public void method14460(int var1, Interface7 var2) {
      if(var1 != 0) {
         throw new RuntimeException();
      } else if(this.anoa9971 != null && var2 != null && (this.anoa9971.method30() != var2.method30() || this.anoa9971.method35() != var2.method35())) {
         throw new RuntimeException();
      } else {
         this.afa9967 = (fa)var2;
         if(var2 != null) {
            this.anInt9970 = var2.method30();
            this.anInt9968 = var2.method35();
         } else if(this.anoa9971 == null) {
            this.anInt9970 = 0;
            this.anInt9968 = 0;
         }

         if(this.aja9969.method11482((byte)14) == this) {
            this.method154();
         }

      }
   }

   public boolean method14464() {
      return true;
   }

   public void method150() {}

   boolean method2743() {
      return true;
   }

   public void method14462(int var1, int var2, int var3, int var4, int var5, int var6, boolean var7, boolean var8) {
      long var9 = 0L;
      long var11 = 0L;
      if(this.afa9967 == null) {
         var7 = false;
      } else {
         var9 = this.afa9967.nativeid;
      }

      if(this.anoa9971 == null) {
         var8 = false;
      } else {
         var11 = this.anoa9971.nativeid;
      }

      this.BA(this.aja9969.nativeid, var9, var11, var1, var2, var3, var4, var5, var6, var7, var8);
   }

   public void method14470(int var1, Interface7 var2) {
      if(var1 != 0) {
         throw new RuntimeException();
      } else if(this.anoa9971 != null && var2 != null && (this.anoa9971.method30() != var2.method30() || this.anoa9971.method35() != var2.method35())) {
         throw new RuntimeException();
      } else {
         this.afa9967 = (fa)var2;
         if(var2 != null) {
            this.anInt9970 = var2.method30();
            this.anInt9968 = var2.method35();
         } else if(this.anoa9971 == null) {
            this.anInt9970 = 0;
            this.anInt9968 = 0;
         }

         if(this.aja9969.method11482((byte)14) == this) {
            this.method154();
         }

      }
   }

   public void method148() {}

   native void ah(long var1, long var3, long var5, int var7, int var8, int var9, int var10, int var11, int var12, boolean var13, boolean var14);

   native void at(long var1, long var3, long var5, int var7, int var8, int var9, int var10, int var11, int var12, boolean var13, boolean var14);
}
